| GlsMap Toolkit 1.10.1

Classes | Public Types | Static Public Member Functions | Static Public Attributes | List of all members
disti::DNCUtil Class Reference

`#include <dnc_util.h>`

## Classes
class | DNCString
class | FACCArray
class | FontRenderer
struct | GeoRegion
struct | GLdoubleEdge
class | QueryResults
struct | Tri

## Public Types
typedef VPFUtil::PointerArray< GLdoubleEdge > | GLdoubleEdgeArray
typedef VPFUtil::PointerArray< Tri > | TriArray

## Static Public Member Functions
static void | TessellateArea (GLUtesselator *tess, const unsigned int facID, const DNCFacePrimTable &facPrimTable, const DNCRingTable &ringTable, const DNCEdgePrimTable &edgPrimTable, void *const polyData)

## Static Public Attributes
static const char *const | NOTES_JOIN_TABLE_EXT = ".njt"
static const char *const | FEATURE_ID_COLUMN_NAME = "feature_id"
static const char *const | RAT_ID_COLUMN_NAME = "rat_id"
static const char *const | FAC_ID_COLUMN_NAME = "fac_id"
static const char *const | CULTURAL_LANDMARKS_COVERAGE_NAME = "cul"
static const char *const | EARTH_COVER_COVERAGE_NAME = "ecr"
static const char *const | ENVIRONMENT_COVERAGE_NAME = "env"
static const char *const | HYDROGRAPHY_COVERAGE_NAME = "hyd"
static const char *const | INLAND_WATERWAYS_COVERAGE_NAME = "iwy"
static const char *const | LAND_COVER_COVERAGE_NAME = "lcr"
static const char *const | AIDS_TO_NAVIGATION_COVERAGE_NAME = "nav"
static const char *const | OBSTRUCTIONS_COVERAGE_NAME = "obs"
static const char *const | PORT_FACILITIES_COVERAGE_NAME = "por"
static const char *const | RELIEF_COVERAGE_NAME = "rel"
static const char *const | DATA_QUALITY_COVERAGE_NAME = "dqy"
static const char *const | COASTLINE_COUNTRIES_COVERAGE_NAME = "coa"
static const char *const | LIMITS_COVERAGE_NAME = "lim"
static const char *const | ADMIN_LINE_FEATURE_NAME = "adminl"
static const char *const | AERO_POINT_FEATURE_NAME = "aerop"
static const char *const | AQUEDCT_LINE_FEATURE_NAME = "aquedctl"
static const char *const | BARRIER_LINE_FEATURE_NAME = "barrierl"
static const char *const | BERTH_POINT_FEATURE_NAME = "berthp"
static const char *const | BOTCHAR_POINT_FEATURE_NAME = "botcharp"
static const char *const | BOUNDRY_LINE_FEATURE_NAME = "boundryl"
static const char *const | BRIDGE_AREA_FEATURE_NAME = "bridgea"
static const char *const | BRIDGE_LINE_FEATURE_NAME = "bridgel"
static const char *const | BRIDGSP_AREA_FEATURE_NAME = "bridgspa"
static const char *const | BRIDGSP_LINE_FEATURE_NAME = "bridgspl"
static const char *const | BUILDNG_AREA_FEATURE_NAME = "buildnga"
static const char *const | BUILDNG_POINT_FEATURE_NAME = "buildngp"
static const char *const | BUILTUP_POINT_FEATURE_NAME = "builtupp"
static const char *const | BUOYBCN_POINT_FEATURE_NAME = "buoybcnp"
static const char *const | CALLIN_POINT_FEATURE_NAME = "callinp"
static const char *const | CANAL_AREA_FEATURE_NAME = "canala"
static const char *const | CANAL_LINE_FEATURE_NAME = "canall"
static const char *const | COAST_LINE_FEATURE_NAME = "coastl"
static const char *const | COMM_POINT_FEATURE_NAME = "commp"
static const char *const | CURRDIA_POINT_FEATURE_NAME = "currdiap"
static const char *const | CURRFL_POINT_FEATURE_NAME = "currflp"
static const char *const | DAM_LINE_FEATURE_NAME = "daml"
static const char *const | DANGER_AREA_FEATURE_NAME = "dangera"
static const char *const | DANGER_POINT_FEATURE_NAME = "dangerp"
static const char *const | DQY_AREA_FEATURE_NAME = "dqyarea"
static const char *const | ECR_AREA_FEATURE_NAME = "ecrarea"
static const char *const | ECR_TEXT_FEATURE_NAME = "ecrtext"
static const char *const | EMBANK_AREA_FEATURE_NAME = "embanka"
static const char *const | ENV_AREA_FEATURE_NAME = "envarea"
static const char *const | FENCE_LINE_FEATURE_NAME = "fencel"
static const char *const | FISHHAT_AREA_FEATURE_NAME = "fishhata"
static const char *const | FORESHO_AREA_FEATURE_NAME = "foreshoa"
static const char *const | FORESHO_LINE_FEATURE_NAME = "foreshol"
static const char *const | FORESHO_POINT_FEATURE_NAME = "foreshop"
static const char *const | HAZARD_AREA_FEATURE_NAME = "hazarda"
static const char *const | HAZARD_LINE_FEATURE_NAME = "hazardl"
static const char *const | HAZARD_POINT_FEATURE_NAME = "hazardp"
static const char *const | HYD_AREA_FEATURE_NAME = "hydarea"
static const char *const | HYD_LINE_FEATURE_NAME = "hydline"
static const char *const | INDUST_AREA_FEATURE_NAME = "industa"
static const char *const | INDUST_POINT_FEATURE_NAME = "industp"
static const char *const | ISLAND_POINT_FEATURE_NAME = "islandp"
static const char *const | LAKE_AREA_FEATURE_NAME = "lakea"
static const char *const | LANDING_AREA_FEATURE_NAME = "landinga"
static const char *const | LANDING_POINT_FEATURE_NAME = "landingp"
static const char *const | LANDMRK_AREA_FEATURE_NAME = "landmrka"
static const char *const | LANDMRK_POINT_FEATURE_NAME = "landmrkp"
static const char *const | LCR_LINE_FEATURE_NAME = "lcrline"
static const char *const | LEADING_LINE_FEATURE_NAME = "leadingl"
static const char *const | LIGHTS_LINE_FEATURE_NAME = "lightsl"
static const char *const | LIGHTS_POINT_FEATURE_NAME = "lightsp"
static const char *const | LIMBNDY_AREA_FEATURE_NAME = "limbndya"
static const char *const | LIMBNDY_LINE_FEATURE_NAME = "limbndyl"
static const char *const | LOADING_AREA_FEATURE_NAME = "loadinga"
static const char *const | LOADING_POINT_FEATURE_NAME = "loadingp"
static const char *const | MARITIM_LINE_FEATURE_NAME = "maritiml"
static const char *const | MARITIM_AREA_FEATURE_NAME = "maritima"
static const char *const | MARKER_POINT_FEATURE_NAME = "markerp"
static const char *const | MISCIWY_AREA_FEATURE_NAME = "misciwya"
static const char *const | MOORING_POINT_FEATURE_NAME = "mooringp"
static const char *const | OBSTRUC_AREA_FEATURE_NAME = "obstruca"
static const char *const | OBSTRUC_POINT_FEATURE_NAME = "obstrucp"
static const char *const | ORCHARD_AREA_FEATURE_NAME = "orcharda"
static const char *const | PARK_AREA_FEATURE_NAME = "parka"
static const char *const | PARK_LINE_FEATURE_NAME = "parkl"
static const char *const | PIER_AREA_FEATURE_NAME = "piera"
static const char *const | PIER_LINE_FEATURE_NAME = "pierl"
static const char *const | PIPE_LINE_FEATURE_NAME = "pipelinl"
static const char *const | POWER_LINE_FEATURE_NAME = "powerl"
static const char *const | POWER_POINT_FEATURE_NAME = "powerp"
static const char *const | RAILRD_LINE_FEATURE_NAME = "railrdl"
static const char *const | REEF_AREA_FEATURE_NAME = "reefa"
static const char *const | REL_LINE_FEATURE_NAME = "relline"
static const char *const | REL_POINT_FEATURE_NAME = "relpoint"
static const char *const | RIVER_AREA_FEATURE_NAME = "rivera"
static const char *const | RIVER_LINE_FEATURE_NAME = "riverl"
static const char *const | ROUTE_AREA_FEATURE_NAME = "routea"
static const char *const | ROUTE_LINE_FEATURE_NAME = "routel"
static const char *const | RUINS_AREA_FEATURE_NAME = "ruinsa"
static const char *const | RUINS_POINT_FEATURE_NAME = "ruinsp"
static const char *const | SEAWALL_LINE_FEATURE_NAME = "seawalll"
static const char *const | SECTOR_AREA_FEATURE_NAME = "sectora"
static const char *const | SNOWICE_AREA_FEATURE_NAME = "snowicea"
static const char *const | SNOWICE_POINT_FEATURE_NAME = "snowicep"
static const char *const | SOUND_POINT_FEATURE_NAME = "soundp"
static const char *const | STRUCTR_AREA_FEATURE_NAME = "structra"
static const char *const | STRUCTR_LINE_FEATURE_NAME = "structrl"
static const char *const | TIDE_POINT_FEATURE_NAME = "tidep"
static const char *const | TRANS_AREA_FEATURE_NAME = "transa"
static const char *const | TRANS_LINE_FEATURE_NAME = "transl"
static const char *const | TREE_AREA_FEATURE_NAME = "treea"
static const char *const | TREE_POINT_FEATURE_NAME = "treep"
static const char *const | TUNNEL_LINE_FEATURE_NAME = "tunnell"
static const char *const | VOLCANO_AREA_FEATURE_NAME = "volcanoa"
static const char *const | BROWSE_LIB_AREA_FEAT_NAME = "libarea"
static const char *const | BROWSE_LIB_AREA_FEAT_TABLE_NAME = "libarea.aft"
static const char *const | BROWSE_LIB_AREA_JOIN_TABLE_NAME = "libarea.ajt"
static const char *const | BROWSE_LIB_AREA_JOIN_TABLE_KEY = "libarea.aft_id"

## Detailed Description

collection of DNC related utility data types and constants

## Member Typedef Documentation

## ◆ GLdoubleEdgeArray

typedef VPFUtil::PointerArray<GLdoubleEdge> disti::DNCUtil::GLdoubleEdgeArray

array of GLdoubleEdge pointers

## ◆ TriArray

typedef VPFUtil::PointerArray<Tri> disti::DNCUtil::TriArray

array of triangle pointers

## Member Function Documentation

## ◆ TessellateArea()

void DNCUtil::TessellateArea | ( | GLUtesselator * | tess,
|  | const unsigned int | facID,
|  | const DNCFacePrimTable & | facPrimTable,
|  | const DNCRingTable & | ringTable,
|  | const DNCEdgePrimTable & | edgPrimTable,
|  | void *const | polyData
| ) |  |
| static

Tesselate an area using the given tessellator

Parameters

  tess | tessellator to use
  facID | face ID corresponding to area to tessellate
  facPrimTable | face primitive table containing face corresponding to area to tessellate
  ringTable | ring table describing face corresponding to area
  edgPrimTable | edge primitive table describing edges corresponding to rings in face
  polyData | blind data to be passed to tessellator callbacks else NULL to allow this routine to manage the blind data by creating a GLdoubleEdgeArray instance and automatically configuring the tessellator to use DNCUtilTessCombine as its tessellator combine function. If polyData is not NULL, the caller must configure the tessellator with its own combine function

## Member Data Documentation

## ◆ ADMIN_LINE_FEATURE_NAME

const char *const DNCUtil::ADMIN_LINE_FEATURE_NAME = "adminl"
| static

name of "Administrative lines" line features

## ◆ AERO_POINT_FEATURE_NAME

const char *const DNCUtil::AERO_POINT_FEATURE_NAME = "aerop"
| static

name of "Aeronautical Points" point features

## ◆ AIDS_TO_NAVIGATION_COVERAGE_NAME

const char *const DNCUtil::AIDS_TO_NAVIGATION_COVERAGE_NAME = "nav"
| static

name of "Aids to Navigation" coverage

## ◆ AQUEDCT_LINE_FEATURE_NAME

const char *const DNCUtil::AQUEDCT_LINE_FEATURE_NAME = "aquedctl"
| static

name of "Aqueduct lines" line features

## ◆ BARRIER_LINE_FEATURE_NAME

const char *const DNCUtil::BARRIER_LINE_FEATURE_NAME = "barrierl"
| static

name of "Barrier lines" line features

## ◆ BERTH_POINT_FEATURE_NAME

const char *const DNCUtil::BERTH_POINT_FEATURE_NAME = "berthp"
| static

name of "Berth points" point features

## ◆ BOTCHAR_POINT_FEATURE_NAME

const char *const DNCUtil::BOTCHAR_POINT_FEATURE_NAME = "botcharp"
| static

name of "Bottom Characteristic Point Features" point features

## ◆ BOUNDRY_LINE_FEATURE_NAME

const char *const DNCUtil::BOUNDRY_LINE_FEATURE_NAME = "boundryl"
| static

name of "Boundary" line features

## ◆ BRIDGE_AREA_FEATURE_NAME

const char *const DNCUtil::BRIDGE_AREA_FEATURE_NAME = "bridgea"
| static

name of "Bridge" area features

## ◆ BRIDGE_LINE_FEATURE_NAME

const char *const DNCUtil::BRIDGE_LINE_FEATURE_NAME = "bridgel"
| static

name of "Bridge/Overpass" line features

## ◆ BRIDGSP_AREA_FEATURE_NAME

const char *const DNCUtil::BRIDGSP_AREA_FEATURE_NAME = "bridgspa"
| static

name of "Bridge Span" area features

## ◆ BRIDGSP_LINE_FEATURE_NAME

const char *const DNCUtil::BRIDGSP_LINE_FEATURE_NAME = "bridgspl"
| static

name of "Bridge Span" line features

## ◆ BROWSE_LIB_AREA_FEAT_NAME

const char *const DNCUtil::BROWSE_LIB_AREA_FEAT_NAME = "libarea"
| static

name of browse library area features in the browse lib coverage

## ◆ BROWSE_LIB_AREA_FEAT_TABLE_NAME

const char *const DNCUtil::BROWSE_LIB_AREA_FEAT_TABLE_NAME = "libarea.aft"
| static

name of browse library area features table in the browse lib coverage

## ◆ BROWSE_LIB_AREA_JOIN_TABLE_KEY

const char *const DNCUtil::BROWSE_LIB_AREA_JOIN_TABLE_KEY = "libarea.aft_id"
| static

name of key column in area join table in the browse lib coverage

## ◆ BROWSE_LIB_AREA_JOIN_TABLE_NAME

const char *const DNCUtil::BROWSE_LIB_AREA_JOIN_TABLE_NAME = "libarea.ajt"
| static

name of browse library area join table in the browse lib coverage

## ◆ BUILDNG_AREA_FEATURE_NAME

const char *const DNCUtil::BUILDNG_AREA_FEATURE_NAME = "buildnga"
| static

name of "Building Areas" area features

## ◆ BUILDNG_POINT_FEATURE_NAME

const char *const DNCUtil::BUILDNG_POINT_FEATURE_NAME = "buildngp"
| static

name of "Building points" point features

## ◆ BUILTUP_POINT_FEATURE_NAME

const char *const DNCUtil::BUILTUP_POINT_FEATURE_NAME = "builtupp"
| static

name of "Built-up area points" point features

## ◆ BUOYBCN_POINT_FEATURE_NAME

const char *const DNCUtil::BUOYBCN_POINT_FEATURE_NAME = "buoybcnp"
| static

name of "Buoy/Beacon Point Feature Table" point features

## ◆ CALLIN_POINT_FEATURE_NAME

const char *const DNCUtil::CALLIN_POINT_FEATURE_NAME = "callinp"
| static

name of "Calling In points" point features

## ◆ CANAL_AREA_FEATURE_NAME

const char *const DNCUtil::CANAL_AREA_FEATURE_NAME = "canala"
| static

name of "Canal areas" area features

## ◆ CANAL_LINE_FEATURE_NAME

const char *const DNCUtil::CANAL_LINE_FEATURE_NAME = "canall"
| static

name of "Canal lines" line features

## ◆ COAST_LINE_FEATURE_NAME

const char *const DNCUtil::COAST_LINE_FEATURE_NAME = "coastl"
| static

name of "Coastline lines" line features

## ◆ COASTLINE_COUNTRIES_COVERAGE_NAME

const char *const DNCUtil::COASTLINE_COUNTRIES_COVERAGE_NAME = "coa"
| static

name of "Coastline/Countries" coverage

## ◆ COMM_POINT_FEATURE_NAME

const char *const DNCUtil::COMM_POINT_FEATURE_NAME = "commp"
| static

name of "Communications points" point features

## ◆ CULTURAL_LANDMARKS_COVERAGE_NAME

const char *const DNCUtil::CULTURAL_LANDMARKS_COVERAGE_NAME = "cul"
| static

name of "Cultural Landmarks" coverage

## ◆ CURRDIA_POINT_FEATURE_NAME

const char *const DNCUtil::CURRDIA_POINT_FEATURE_NAME = "currdiap"
| static

name of "Current Diagram Points" point features

## ◆ CURRFL_POINT_FEATURE_NAME

const char *const DNCUtil::CURRFL_POINT_FEATURE_NAME = "currflp"
| static

name of "Current Flow Points" point features

## ◆ DAM_LINE_FEATURE_NAME

const char *const DNCUtil::DAM_LINE_FEATURE_NAME = "daml"
| static

name of "Dam lines" line features

## ◆ DANGER_AREA_FEATURE_NAME

const char *const DNCUtil::DANGER_AREA_FEATURE_NAME = "dangera"
| static

name of "Discolored Water/Foul Ground" area features

## ◆ DANGER_POINT_FEATURE_NAME

const char *const DNCUtil::DANGER_POINT_FEATURE_NAME = "dangerp"
| static

name of "Breakers/Discolored Water" point features

## ◆ DATA_QUALITY_COVERAGE_NAME

const char *const DNCUtil::DATA_QUALITY_COVERAGE_NAME = "dqy"
| static

name of "Data Quality" coverage

## ◆ DQY_AREA_FEATURE_NAME

const char *const DNCUtil::DQY_AREA_FEATURE_NAME = "dqyarea"
| static

name of "Data Quality Areas" area features

## ◆ EARTH_COVER_COVERAGE_NAME

const char *const DNCUtil::EARTH_COVER_COVERAGE_NAME = "ecr"
| static

name of "Earth Cover" coverage

## ◆ ECR_AREA_FEATURE_NAME

const char *const DNCUtil::ECR_AREA_FEATURE_NAME = "ecrarea"
| static

name of "Earth Cover areas" area features

## ◆ ECR_TEXT_FEATURE_NAME

const char *const DNCUtil::ECR_TEXT_FEATURE_NAME = "ecrtext"
| static

name of "Earth Cover texts" text features

## ◆ EMBANK_AREA_FEATURE_NAME

const char *const DNCUtil::EMBANK_AREA_FEATURE_NAME = "embanka"
| static

name of "Embankment areas" area features

## ◆ ENV_AREA_FEATURE_NAME

const char *const DNCUtil::ENV_AREA_FEATURE_NAME = "envarea"
| static

name of "Environment Areas" area features

## ◆ ENVIRONMENT_COVERAGE_NAME

const char *const DNCUtil::ENVIRONMENT_COVERAGE_NAME = "env"
| static

name of "Environment" coverage

## ◆ FAC_ID_COLUMN_NAME

const char *const DNCUtil::FAC_ID_COLUMN_NAME = "fac_id"
| static

column name of face id in an area join table

## ◆ FEATURE_ID_COLUMN_NAME

const char *const DNCUtil::FEATURE_ID_COLUMN_NAME = "feature_id"
| static

column name for feature ID

## ◆ FENCE_LINE_FEATURE_NAME

const char *const DNCUtil::FENCE_LINE_FEATURE_NAME = "fencel"
| static

name of "Fence lines" line features

## ◆ FISHHAT_AREA_FEATURE_NAME

const char *const DNCUtil::FISHHAT_AREA_FEATURE_NAME = "fishhata"
| static

name of "Fish Hatchery" area features

## ◆ FORESHO_AREA_FEATURE_NAME

const char *const DNCUtil::FORESHO_AREA_FEATURE_NAME = "foreshoa"
| static

name of "Foreshore areas" area features

## ◆ FORESHO_LINE_FEATURE_NAME

const char *const DNCUtil::FORESHO_LINE_FEATURE_NAME = "foreshol"
| static

name of "Foreshore lines" line features

## ◆ FORESHO_POINT_FEATURE_NAME

const char *const DNCUtil::FORESHO_POINT_FEATURE_NAME = "foreshop"
| static

name of "Foreshore points" point features

## ◆ HAZARD_AREA_FEATURE_NAME

const char *const DNCUtil::HAZARD_AREA_FEATURE_NAME = "hazarda"
| static

name of "Underwater Danger/Wreck" area features

## ◆ HAZARD_LINE_FEATURE_NAME

const char *const DNCUtil::HAZARD_LINE_FEATURE_NAME = "hazardl"
| static

name of "Cable/Breakers" line features

## ◆ HAZARD_POINT_FEATURE_NAME

const char *const DNCUtil::HAZARD_POINT_FEATURE_NAME = "hazardp"
| static

name of "Underwater Danger/Rock/Wreck" point features

## ◆ HYD_AREA_FEATURE_NAME

const char *const DNCUtil::HYD_AREA_FEATURE_NAME = "hydarea"
| static

name of "Hydrography Area Features" area features

## ◆ HYD_LINE_FEATURE_NAME

const char *const DNCUtil::HYD_LINE_FEATURE_NAME = "hydline"
| static

name of "Hydrography Line Features" line features

## ◆ HYDROGRAPHY_COVERAGE_NAME

const char *const DNCUtil::HYDROGRAPHY_COVERAGE_NAME = "hyd"
| static

name of "Hydrography" coverage

## ◆ INDUST_AREA_FEATURE_NAME

const char *const DNCUtil::INDUST_AREA_FEATURE_NAME = "industa"
| static

name of "Industry areas" area features

## ◆ INDUST_POINT_FEATURE_NAME

const char *const DNCUtil::INDUST_POINT_FEATURE_NAME = "industp"
| static

name of "Industry points" point features

## ◆ INLAND_WATERWAYS_COVERAGE_NAME

const char *const DNCUtil::INLAND_WATERWAYS_COVERAGE_NAME = "iwy"
| static

name of "Inland Waterways" coverage

## ◆ ISLAND_POINT_FEATURE_NAME

const char *const DNCUtil::ISLAND_POINT_FEATURE_NAME = "islandp"
| static

name of "Island points" point features

## ◆ LAKE_AREA_FEATURE_NAME

const char *const DNCUtil::LAKE_AREA_FEATURE_NAME = "lakea"
| static

name of "Lake areas" area features

## ◆ LAND_COVER_COVERAGE_NAME

const char *const DNCUtil::LAND_COVER_COVERAGE_NAME = "lcr"
| static

name of "Land Cover" coverage

## ◆ LANDING_AREA_FEATURE_NAME

const char *const DNCUtil::LANDING_AREA_FEATURE_NAME = "landinga"
| static

name of "Landing areas" area features

## ◆ LANDING_POINT_FEATURE_NAME

const char *const DNCUtil::LANDING_POINT_FEATURE_NAME = "landingp"
| static

name of "Landing points" point features

## ◆ LANDMRK_AREA_FEATURE_NAME

const char *const DNCUtil::LANDMRK_AREA_FEATURE_NAME = "landmrka"
| static

name of "Landmark areas" area features

## ◆ LANDMRK_POINT_FEATURE_NAME

const char *const DNCUtil::LANDMRK_POINT_FEATURE_NAME = "landmrkp"
| static

name of "Landmark points" point features

## ◆ LCR_LINE_FEATURE_NAME

const char *const DNCUtil::LCR_LINE_FEATURE_NAME = "lcrline"
| static

name of "Land Cover lines" line features

## ◆ LEADING_LINE_FEATURE_NAME

const char *const DNCUtil::LEADING_LINE_FEATURE_NAME = "leadingl"
| static

name of "Leading Lines" line features

## ◆ LIGHTS_LINE_FEATURE_NAME

const char *const DNCUtil::LIGHTS_LINE_FEATURE_NAME = "lightsl"
| static

name of "Lights Line Feature Table" line features

## ◆ LIGHTS_POINT_FEATURE_NAME

const char *const DNCUtil::LIGHTS_POINT_FEATURE_NAME = "lightsp"
| static

name of "Lights Point Feature Table" point features

## ◆ LIMBNDY_AREA_FEATURE_NAME

const char *const DNCUtil::LIMBNDY_AREA_FEATURE_NAME = "limbndya"
| static

name of "Limit Boundaries" area features

## ◆ LIMBNDY_LINE_FEATURE_NAME

const char *const DNCUtil::LIMBNDY_LINE_FEATURE_NAME = "limbndyl"
| static

name of "Limit Boundaries" line features

## ◆ LIMITS_COVERAGE_NAME

const char *const DNCUtil::LIMITS_COVERAGE_NAME = "lim"
| static

name of "Limits" coverage

## ◆ LOADING_AREA_FEATURE_NAME

const char *const DNCUtil::LOADING_AREA_FEATURE_NAME = "loadinga"
| static

name of "Offshore Loading Facility" area features

## ◆ LOADING_POINT_FEATURE_NAME

const char *const DNCUtil::LOADING_POINT_FEATURE_NAME = "loadingp"
| static

name of "Loading Points" point features

## ◆ MARITIM_AREA_FEATURE_NAME

const char *const DNCUtil::MARITIM_AREA_FEATURE_NAME = "maritima"
| static

name of "Maritime Area" area features

## ◆ MARITIM_LINE_FEATURE_NAME

const char *const DNCUtil::MARITIM_LINE_FEATURE_NAME = "maritiml"
| static

name of "Maritime Area" line features

## ◆ MARKER_POINT_FEATURE_NAME

const char *const DNCUtil::MARKER_POINT_FEATURE_NAME = "markerp"
| static

name of "Marker Point Feature Table" point features

## ◆ MISCIWY_AREA_FEATURE_NAME

const char *const DNCUtil::MISCIWY_AREA_FEATURE_NAME = "misciwya"
| static

name of "Miscellaneous Inland Waterways areas" area features

## ◆ MOORING_POINT_FEATURE_NAME

const char *const DNCUtil::MOORING_POINT_FEATURE_NAME = "mooringp"
| static

name of "Mooring points" point features

## ◆ NOTES_JOIN_TABLE_EXT

const char *const DNCUtil::NOTES_JOIN_TABLE_EXT = ".njt"
| static

file extension for notes join table file

## ◆ OBSTRUC_AREA_FEATURE_NAME

const char *const DNCUtil::OBSTRUC_AREA_FEATURE_NAME = "obstruca"
| static

name of "Obstruction Areas" area features

## ◆ OBSTRUC_POINT_FEATURE_NAME

const char *const DNCUtil::OBSTRUC_POINT_FEATURE_NAME = "obstrucp"
| static

name of "Obstruction Points" point features

## ◆ OBSTRUCTIONS_COVERAGE_NAME

const char *const DNCUtil::OBSTRUCTIONS_COVERAGE_NAME = "obs"
| static

name of "Obstructions" coverage

## ◆ ORCHARD_AREA_FEATURE_NAME

const char *const DNCUtil::ORCHARD_AREA_FEATURE_NAME = "orcharda"
| static

name of "Orchard" area features

## ◆ PARK_AREA_FEATURE_NAME

const char *const DNCUtil::PARK_AREA_FEATURE_NAME = "parka"
| static

name of "Park areas" area features

## ◆ PARK_LINE_FEATURE_NAME

const char *const DNCUtil::PARK_LINE_FEATURE_NAME = "parkl"
| static

name of "Park lines" line features

## ◆ PIER_AREA_FEATURE_NAME

const char *const DNCUtil::PIER_AREA_FEATURE_NAME = "piera"
| static

name of "Pier areas" area features

## ◆ PIER_LINE_FEATURE_NAME

const char *const DNCUtil::PIER_LINE_FEATURE_NAME = "pierl"
| static

name of "Pier lines" line features

## ◆ PIPE_LINE_FEATURE_NAME

const char *const DNCUtil::PIPE_LINE_FEATURE_NAME = "pipelinl"
| static

name of "Pipeline Lines" line features

## ◆ PORT_FACILITIES_COVERAGE_NAME

const char *const DNCUtil::PORT_FACILITIES_COVERAGE_NAME = "por"
| static

name of "Port Facilities" coverage

## ◆ POWER_LINE_FEATURE_NAME

const char *const DNCUtil::POWER_LINE_FEATURE_NAME = "powerl"
| static

name of "Power lines" line features

## ◆ POWER_POINT_FEATURE_NAME

const char *const DNCUtil::POWER_POINT_FEATURE_NAME = "powerp"
| static

name of "Power points" point features

## ◆ RAILRD_LINE_FEATURE_NAME

const char *const DNCUtil::RAILRD_LINE_FEATURE_NAME = "railrdl"
| static

name of "Railroad lines" line features

## ◆ RAT_ID_COLUMN_NAME

const char *const DNCUtil::RAT_ID_COLUMN_NAME = "rat_id"
| static

column name for related attribute table ID

## ◆ REEF_AREA_FEATURE_NAME

const char *const DNCUtil::REEF_AREA_FEATURE_NAME = "reefa"
| static

name of "Reef Areas" area features

## ◆ REL_LINE_FEATURE_NAME

const char *const DNCUtil::REL_LINE_FEATURE_NAME = "relline"
| static

name of "Relief lines" line features

## ◆ REL_POINT_FEATURE_NAME

const char *const DNCUtil::REL_POINT_FEATURE_NAME = "relpoint"
| static

name of "Relief points" point features

## ◆ RELIEF_COVERAGE_NAME

const char *const DNCUtil::RELIEF_COVERAGE_NAME = "rel"
| static

name of "Relief" coverage

## ◆ RIVER_AREA_FEATURE_NAME

const char *const DNCUtil::RIVER_AREA_FEATURE_NAME = "rivera"
| static

name of "River areas" area features

## ◆ RIVER_LINE_FEATURE_NAME

const char *const DNCUtil::RIVER_LINE_FEATURE_NAME = "riverl"
| static

name of "River lines" line features

## ◆ ROUTE_AREA_FEATURE_NAME

const char *const DNCUtil::ROUTE_AREA_FEATURE_NAME = "routea"
| static

name of "Route Maritime" area features

## ◆ ROUTE_LINE_FEATURE_NAME

const char *const DNCUtil::ROUTE_LINE_FEATURE_NAME = "routel"
| static

name of "Route Maritime" line features

## ◆ RUINS_AREA_FEATURE_NAME

const char *const DNCUtil::RUINS_AREA_FEATURE_NAME = "ruinsa"
| static

name of "Ruins areas" area features

## ◆ RUINS_POINT_FEATURE_NAME

const char *const DNCUtil::RUINS_POINT_FEATURE_NAME = "ruinsp"
| static

name of "Ruins" point features

## ◆ SEAWALL_LINE_FEATURE_NAME

const char *const DNCUtil::SEAWALL_LINE_FEATURE_NAME = "seawalll"
| static

name of "Seawall lines" line features

## ◆ SECTOR_AREA_FEATURE_NAME

const char *const DNCUtil::SECTOR_AREA_FEATURE_NAME = "sectora"
| static

name of "Sector Areas" area features

## ◆ SNOWICE_AREA_FEATURE_NAME

const char *const DNCUtil::SNOWICE_AREA_FEATURE_NAME = "snowicea"
| static

name of "Snow/Ice" area features

## ◆ SNOWICE_POINT_FEATURE_NAME

const char *const DNCUtil::SNOWICE_POINT_FEATURE_NAME = "snowicep"
| static

name of "Snow/Ice" point features

## ◆ SOUND_POINT_FEATURE_NAME

const char *const DNCUtil::SOUND_POINT_FEATURE_NAME = "soundp"
| static

name of "Soundings Point Features" point features

## ◆ STRUCTR_AREA_FEATURE_NAME

const char *const DNCUtil::STRUCTR_AREA_FEATURE_NAME = "structra"
| static

name of "Structure areas" area features

## ◆ STRUCTR_LINE_FEATURE_NAME

const char *const DNCUtil::STRUCTR_LINE_FEATURE_NAME = "structrl"
| static

name of "Structure lines" line features

## ◆ TIDE_POINT_FEATURE_NAME

const char *const DNCUtil::TIDE_POINT_FEATURE_NAME = "tidep"
| static

name of "Tide Points" point features

## ◆ TRANS_AREA_FEATURE_NAME

const char *const DNCUtil::TRANS_AREA_FEATURE_NAME = "transa"
| static

name of "Transportation Areas" area features

## ◆ TRANS_LINE_FEATURE_NAME

const char *const DNCUtil::TRANS_LINE_FEATURE_NAME = "transl"
| static

name of "Transportation lines" line features

## ◆ TREE_AREA_FEATURE_NAME

const char *const DNCUtil::TREE_AREA_FEATURE_NAME = "treea"
| static

name of "Tree areas" area features

## ◆ TREE_POINT_FEATURE_NAME

const char *const DNCUtil::TREE_POINT_FEATURE_NAME = "treep"
| static

name of "Tree points" point features

## ◆ TUNNEL_LINE_FEATURE_NAME

const char *const DNCUtil::TUNNEL_LINE_FEATURE_NAME = "tunnell"
| static

name of "Tunnel Lines" line features

## ◆ VOLCANO_AREA_FEATURE_NAME

const char *const DNCUtil::VOLCANO_AREA_FEATURE_NAME = "volcanoa"
| static

name of "Volcano" area features

The documentation for this class was generated from the following files:

- dnc_util.h
- dnc_util.cpp